# eoMOFitnessStat< EOT, PartFitT > Class Template Reference

For multi-objective fitness, we need to translate a stat<vector<double> > into a vector<stat>, so each objective gets a seperate stat. More...

`#include <eoMOFitnessStat.h>`

Inheritance diagram for eoMOFitnessStat< EOT, PartFitT >:

List of all members.

## Public Member Functions

| eoMOFitnessStat (unsigned _objective, std::string _description="MO-Fitness")
| Ctor: say what component you want.
virtual void | operator() (const std::vector< const EOT * > &_popPters)
| The pure virtual function that needs to be implemented by the subclass.

## Private Attributes

unsigned int | objective

## Detailed Description

### template<class EOT, class PartFitT = double>
class eoMOFitnessStat< EOT, PartFitT >

For multi-objective fitness, we need to translate a stat<vector<double> > into a vector<stat>, so each objective gets a seperate stat.

Definition at line 64 of file eoMOFitnessStat.h.

The documentation for this class was generated from the following file:

- eoMOFitnessStat.h